Oracle Linux 8:xorg-x11-server-Xwayland (ELSA-2023-2805)

high Nessus 插件 ID 176319

简介

远程 Oracle Linux 主机缺少一个或多个安全更新。

描述

远程 Oracle Linux 8 主机上安装的程序包受到 ELSA-2023-2805 公告中提及的多个漏洞的影响。

- X.Org 中存在一个漏洞。发生此安全缺陷的原因是 XkbCopyNames 函数留下了指向已释放内存的悬摆指针,从而导致后续 XkbGetKbdByName 请求发生越界内存访问。此问题可能会导致 X 服务器运行特权的系统上的本地特权提升以及 ssh X 转发会话的远程代码执行。(CVE-2022-4283)

- X.Org 中存在一个漏洞。发生此安全缺陷的原因是 ScreenSaverSetAttributes 请求的处理程序可能在释放后写入内存。此问题可能会导致 X 服务器运行特权的系统上的本地特权提升以及 ssh X 转发会话的远程代码执行。(CVE-2022-46343)

- 在 X.org 服务器中发现一个归类为“存在问题”的漏洞。受此问题影响的是文件 xkb/xkb.c 的 ProcXkbGetKbdByName 函数。此操纵漏洞会导致内存泄漏。建议应用补丁修复此问题。此漏洞的标识符为 VDB-211052。
(CVE-2022-3551)

- X.Org 中存在一个漏洞。发生此安全缺陷的原因是 XIPassiveUngrab 请求的处理程序在通过高键代码或按钮代码进行调用时访问越界内存。此问题可能会导致 X 服务器运行特权的系统上的本地特权提升以及 ssh X 转发会话的远程代码执行。(CVE-2022-46341)

- X.Org 中存在一个漏洞。发生此问题的原因是 DeepCopyPointerClasses 中的一个悬摆指针可被 ProcXkbSetDeviceInfo() 和 ProcXkbGetDeviceInfo() 利用来读取和写入已释放的内存。此问题可能会导致 X 服务器运行特权的系统上的本地特权提升以及 ssh X 转发会话的远程代码执行。(CVE-2023-0494)

- 在 X.org 服务器中发现一个归类为危急的漏洞。受此漏洞影响的是文件 xkb/xkb.c 的函数 _GetCountedString。此操纵漏洞会导致缓冲区溢出。建议应用补丁修复此问题。此漏洞的相关标识符为 VDB-211051。(CVE-2022-3550)

- X.Org 中存在一个漏洞。发生此安全缺陷的原因是,如果通过 XTestFakeInput 请求发送长度大于 32 字节的 GenericEvents,则 XTest 扩展的 XTestFakeInput 请求的交换处理程序可能会损坏堆栈。此问题可能会导致 X 服务器运行特权的系统上的本地权限提升以及 ssh X 转发会话的远程代码执行。此问题不影响客户端和服务器使用字节顺序相同的系统。
(CVE-2022-46340)

- X.Org 中存在一个漏洞。发生此安全缺陷的原因是 XvdiSelectVideoNotify 请求的处理程序可能在释放后写入内存。此问题可导致运行 X se (CVE-2022-46342) 的系统的本地权限提升

- X.Org 中存在一个漏洞。发生此安全缺陷的原因是 XIChangeProperty 请求的处理程序存在长度验证问题,从而导致越界内存读取和潜在的信息泄露。此问题可能会导致 X 服务器运行特权的系统上的本地特权提升以及 ssh X 转发会话的远程代码执行。(CVE-2022-46344)

请注意,Nessus 尚未测试这些问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

更新受影响的 xorg-x11-server-Xwayland 程序包。

另见

https://linux.oracle.com/errata/ELSA-2023-2805.html

插件详情

严重性: High

ID: 176319

文件名: oraclelinux_ELSA-2023-2805.nasl

版本: 1.0

类型: local

代理: unix

发布时间: 2023/5/24

最近更新时间: 2023/5/24

支持的传感器: Frictionless Assessment Agent, Nessus Agent, Nessus

风险信息

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: High

基本分数: 9

时间分数: 6.7

矢量: CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C

CVSS 分数来源: CVE-2022-46344

CVSS v3

风险因素: High

基本分数: 8.8

时间分数: 7.7

矢量: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

时间矢量: CVSS:3.0/E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/o:oracle:linux:8, p-cpe:/a:oracle:linux:xorg-x11-server-xwayland

必需的 KB 项: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/OracleLinux

易利用性: No known exploits are available

补丁发布日期: 2023/5/24

漏洞发布日期: 2022/10/17

参考资料信息

CVE: CVE-2022-3550, CVE-2022-3551, CVE-2022-4283, CVE-2022-46340, CVE-2022-46341, CVE-2022-46342, CVE-2022-46343, CVE-2022-46344, CVE-2023-0494